/* CPU Wrapping 
 *
 * wraps ACPI 6.x processor devices as ACPI 2 processor objects
 * Processor (ProcessorName, ProcessorID, PBlockAddress, PBlockLength)
 *
 * PBlockAddress = offset 0x98 from FACP.aml + 0x10
 *
 * This SSDT is suitable for most unisocket C621 systems.
 *
 */

DefinitionBlock ("", "SSDT", 2, "ETRX", "CPUWRAP", 0x00006210)
{
    External (_SB_.SCK0, DeviceObj)    
    External (_SB_.SCK0.CP00, DeviceObj)    
    External (_SB_.SCK0.CP01, DeviceObj)    
    External (_SB_.SCK0.CP02, DeviceObj)    
    External (_SB_.SCK0.CP03, DeviceObj)    
    External (_SB_.SCK0.CP04, DeviceObj)    
    External (_SB_.SCK0.CP05, DeviceObj)    
    External (_SB_.SCK0.CP06, DeviceObj)    
    External (_SB_.SCK0.CP07, DeviceObj)    
    External (_SB_.SCK0.CP08, DeviceObj)    
    External (_SB_.SCK0.CP09, DeviceObj)    
    External (_SB_.SCK0.CP0A, DeviceObj)    
    External (_SB_.SCK0.CP0B, DeviceObj)    
    External (_SB_.SCK0.CP0C, DeviceObj)    
    External (_SB_.SCK0.CP0D, DeviceObj)    
    External (_SB_.SCK0.CP0E, DeviceObj)    
    External (_SB_.SCK0.CP0F, DeviceObj)    
    External (_SB_.SCK0.CP10, DeviceObj)    
    External (_SB_.SCK0.CP11, DeviceObj)    
    External (_SB_.SCK0.CP12, DeviceObj)    
    External (_SB_.SCK0.CP13, DeviceObj)    
    External (_SB_.SCK0.CP14, DeviceObj)    
    External (_SB_.SCK0.CP15, DeviceObj)    
    External (_SB_.SCK0.CP16, DeviceObj)    
    External (_SB_.SCK0.CP17, DeviceObj)    
    External (_SB_.SCK0.CP18, DeviceObj)    
    External (_SB_.SCK0.CP19, DeviceObj)    
    External (_SB_.SCK0.CP1A, DeviceObj)    
    External (_SB_.SCK0.CP1B, DeviceObj)    
    External (_SB_.SCK0.CP1C, DeviceObj)    
    External (_SB_.SCK0.CP1D, DeviceObj)    
    External (_SB_.SCK0.CP1E, DeviceObj)    
    External (_SB_.SCK0.CP1F, DeviceObj)    
    External (_SB_.SCK0.CP20, DeviceObj)    
    External (_SB_.SCK0.CP21, DeviceObj)    
    External (_SB_.SCK0.CP22, DeviceObj)    
    External (_SB_.SCK0.CP23, DeviceObj)    
    External (_SB_.SCK0.CP24, DeviceObj)    
    External (_SB_.SCK0.CP25, DeviceObj)    
    External (_SB_.SCK0.CP26, DeviceObj)    
    External (_SB_.SCK0.CP27, DeviceObj)    
    External (_SB_.SCK0.CP28, DeviceObj)    
    External (_SB_.SCK0.CP29, DeviceObj)    
    External (_SB_.SCK0.CP2A, DeviceObj)    
    External (_SB_.SCK0.CP2B, DeviceObj)    
    External (_SB_.SCK0.CP2C, DeviceObj)    
    External (_SB_.SCK0.CP2D, DeviceObj)    
    External (_SB_.SCK0.CP2E, DeviceObj)    
    External (_SB_.SCK0.CP2F, DeviceObj)    
    External (_SB_.SCK0.CP30, DeviceObj)    
    External (_SB_.SCK0.CP31, DeviceObj)    
    External (_SB_.SCK0.CP32, DeviceObj)    
    External (_SB_.SCK0.CP33, DeviceObj)    
    External (_SB_.SCK0.CP34, DeviceObj)    
    External (_SB_.SCK0.CP35, DeviceObj)    
    External (_SB_.SCK0.CP36, DeviceObj)    
    External (_SB_.SCK0.CP37, DeviceObj)    

    Scope (\_SB.SCK0)
    {
        Processor (PR00, 0x00, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP00)
        }
        
        Processor (PR01, 0x01, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP01)
        }
        
        Processor (PR02, 0x02, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP02)
        }
        
        Processor (PR03, 0x03, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP03)
        }
        
        Processor (PR04, 0x04, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP04)
        }
        
        Processor (PR05, 0x05, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP05)
        }
        
        Processor (PR06, 0x06, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP06)
        }
        
        Processor (PR07, 0x07, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP07)
        }
        
        Processor (PR08, 0x08, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP08)
        }
        
        Processor (PR09, 0x09, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP09)
        }
        
        Processor (PR0A, 0x0A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP0A)
        }
        
        Processor (PR0B, 0x0B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP0B)
        }
        
        Processor (PR0C, 0x0C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP0C)
        }
        
        Processor (PR0D, 0x0D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP0D)
        }
        
        Processor (PR0E, 0x0E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP0E)
        }
        
        Processor (PR0F, 0x0F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP0F)
        }
        
        Processor (PR10, 0x10, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP10)
        }
        
        Processor (PR11, 0x11, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP11)
        }
        
        Processor (PR12, 0x12, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP12)
        }
        
        Processor (PR13, 0x13, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP13)
        }
        
        Processor (PR14, 0x14, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP14)
        }
        
        Processor (PR15, 0x15, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP15)
        }
        
        Processor (PR16, 0x16, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP16)
        }
        
        Processor (PR17, 0x17, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP17)
        }
        
        Processor (PR18, 0x18, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP18)
        }
        
        Processor (PR19, 0x19, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP19)
        }
        
        Processor (PR1A, 0x1A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP1A)
        }
        
        Processor (PR1B, 0x1B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP1B)
        }
        
        Processor (PR1C, 0x1C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP1C)
        }
        
        Processor (PR1D, 0x1D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP1D)
        }
        
        Processor (PR1E, 0x1E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP1E)
        }
        
        Processor (PR1F, 0x1F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP1F)
        }
        
        Processor (PR20, 0x20, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP20)
        }
        
        Processor (PR21, 0x21, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP21)
        }
        
        Processor (PR22, 0x22, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP22)
        }
        
        Processor (PR23, 0x23, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP23)
        }
        
        Processor (PR24, 0x24, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP24)
        }
        
        Processor (PR25, 0x25, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP25)
        }
        
        Processor (PR26, 0x26, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP26)
        }
        
        Processor (PR27, 0x27, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP27)
        }
        
        Processor (PR28, 0x28, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP28)
        }
        
        Processor (PR29, 0x29, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP29)
        }
        
        Processor (PR2A, 0x2A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP2A)
        }
        
        Processor (PR2B, 0x2B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP2B)
        }
        
        Processor (PR2C, 0x2C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP2C)
        }
        
        Processor (PR2D, 0x2D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP2D)
        }
        
        Processor (PR2E, 0x2E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP2E)
        }
        
        Processor (PR2F, 0x2F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP2F)
        }

        Processor (PR30, 0x30, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP30)
        }
        
        Processor (PR31, 0x31, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP31)
        }
        
        Processor (PR32, 0x32, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP32)
        }
        
         Processor (PR33, 0x33, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP33)
        }
        
        Processor (PR34, 0x34, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP34)
        }
        
        Processor (PR35, 0x35, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP35)
        }
        
        Processor (PR36, 0x36, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP36)
        }
        
        Processor (PR37, 0x37, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.CP37)
        }       
    }
}