/* CPU Wrapping 
 *
 * wraps ACPI 6.x processor devices as ACPI 2 processor objects
 * Processor (ProcessorName, ProcessorID, PBlockAddress, PBlockLength)
 *
 * PBlockAddress = offset 0x98 from FACP.aml + 0x10
 *
 * This SSDT was written for Supermicro X12SPA-TF, 3rd gen. Xeon Scalable.
 *
 */

DefinitionBlock ("", "SSDT", 2, "ETRX", "CPUWRAP", 0x0000621A)
{
    External (_SB_.SCK0, DeviceObj)
    External (_SB_.SCK0.C000, DeviceObj)
    External (_SB_.SCK0.C001, DeviceObj)
    External (_SB_.SCK0.C002, DeviceObj)
    External (_SB_.SCK0.C003, DeviceObj)
    External (_SB_.SCK0.C004, DeviceObj)
    External (_SB_.SCK0.C005, DeviceObj)
    External (_SB_.SCK0.C006, DeviceObj)
    External (_SB_.SCK0.C007, DeviceObj)
    External (_SB_.SCK0.C008, DeviceObj)
    External (_SB_.SCK0.C009, DeviceObj)
    External (_SB_.SCK0.C00A, DeviceObj)
    External (_SB_.SCK0.C00B, DeviceObj)
    External (_SB_.SCK0.C00C, DeviceObj)
    External (_SB_.SCK0.C00D, DeviceObj)
    External (_SB_.SCK0.C00E, DeviceObj)
    External (_SB_.SCK0.C00F, DeviceObj)
    External (_SB_.SCK0.C010, DeviceObj)
    External (_SB_.SCK0.C011, DeviceObj)
    External (_SB_.SCK0.C012, DeviceObj)
    External (_SB_.SCK0.C013, DeviceObj)
    External (_SB_.SCK0.C014, DeviceObj)
    External (_SB_.SCK0.C015, DeviceObj)
    External (_SB_.SCK0.C016, DeviceObj)
    External (_SB_.SCK0.C017, DeviceObj)
    External (_SB_.SCK0.C018, DeviceObj)
    External (_SB_.SCK0.C019, DeviceObj)
    External (_SB_.SCK0.C01A, DeviceObj)
    External (_SB_.SCK0.C01B, DeviceObj)
    External (_SB_.SCK0.C01C, DeviceObj)
    External (_SB_.SCK0.C01D, DeviceObj)
    External (_SB_.SCK0.C01E, DeviceObj)
    External (_SB_.SCK0.C01F, DeviceObj)
    External (_SB_.SCK0.C020, DeviceObj)
    External (_SB_.SCK0.C021, DeviceObj)
    External (_SB_.SCK0.C022, DeviceObj)
    External (_SB_.SCK0.C023, DeviceObj)
    External (_SB_.SCK0.C024, DeviceObj)
    External (_SB_.SCK0.C025, DeviceObj)
    External (_SB_.SCK0.C026, DeviceObj)
    External (_SB_.SCK0.C027, DeviceObj)
    External (_SB_.SCK0.C028, DeviceObj)
    External (_SB_.SCK0.C029, DeviceObj)
    External (_SB_.SCK0.C02A, DeviceObj)
    External (_SB_.SCK0.C02B, DeviceObj)
    External (_SB_.SCK0.C02C, DeviceObj)
    External (_SB_.SCK0.C02D, DeviceObj)
    External (_SB_.SCK0.C02E, DeviceObj)
    External (_SB_.SCK0.C02F, DeviceObj)
    External (_SB_.SCK0.C030, DeviceObj)
    External (_SB_.SCK0.C031, DeviceObj)
    External (_SB_.SCK0.C032, DeviceObj)
    External (_SB_.SCK0.C033, DeviceObj)
    External (_SB_.SCK0.C034, DeviceObj)
    External (_SB_.SCK0.C035, DeviceObj)
    External (_SB_.SCK0.C036, DeviceObj)
    External (_SB_.SCK0.C037, DeviceObj)
    External (_SB_.SCK0.C038, DeviceObj)
    External (_SB_.SCK0.C039, DeviceObj)
    External (_SB_.SCK0.C03A, DeviceObj)
    External (_SB_.SCK0.C03B, DeviceObj)
    External (_SB_.SCK0.C03C, DeviceObj)
    External (_SB_.SCK0.C03D, DeviceObj)
    External (_SB_.SCK0.C03E, DeviceObj)
    External (_SB_.SCK0.C03F, DeviceObj)
    External (_SB_.SCK0.C040, DeviceObj)
    External (_SB_.SCK0.C041, DeviceObj)
    External (_SB_.SCK0.C042, DeviceObj)
    External (_SB_.SCK0.C043, DeviceObj)
    External (_SB_.SCK0.C044, DeviceObj)
    External (_SB_.SCK0.C045, DeviceObj)
    External (_SB_.SCK0.C046, DeviceObj)
    External (_SB_.SCK0.C047, DeviceObj)
    External (_SB_.SCK0.C048, DeviceObj)
    External (_SB_.SCK0.C049, DeviceObj)
    External (_SB_.SCK0.C04A, DeviceObj)
    External (_SB_.SCK0.C04B, DeviceObj)
    External (_SB_.SCK0.C04C, DeviceObj)
    External (_SB_.SCK0.C04D, DeviceObj)
    External (_SB_.SCK0.C04E, DeviceObj)
    External (_SB_.SCK0.C04F, DeviceObj)
    External (_SB_.SCK0.C050, DeviceObj)
    External (_SB_.SCK0.C051, DeviceObj)
    External (_SB_.SCK0.C052, DeviceObj)
    External (_SB_.SCK0.C053, DeviceObj)
    External (_SB_.SCK0.C054, DeviceObj)
    External (_SB_.SCK0.C055, DeviceObj)
    External (_SB_.SCK0.C056, DeviceObj)
    External (_SB_.SCK0.C057, DeviceObj)
    External (_SB_.SCK0.C058, DeviceObj)
    External (_SB_.SCK0.C059, DeviceObj)
    External (_SB_.SCK0.C05A, DeviceObj)
    External (_SB_.SCK0.C05B, DeviceObj)
    External (_SB_.SCK0.C05C, DeviceObj)
    External (_SB_.SCK0.C05D, DeviceObj)
    External (_SB_.SCK0.C05E, DeviceObj)
    External (_SB_.SCK0.C05F, DeviceObj)
    External (_SB_.SCK0.C060, DeviceObj)
    External (_SB_.SCK0.C061, DeviceObj)
    External (_SB_.SCK0.C062, DeviceObj)
    External (_SB_.SCK0.C063, DeviceObj)
    External (_SB_.SCK0.C064, DeviceObj)
    External (_SB_.SCK0.C065, DeviceObj)
    External (_SB_.SCK0.C066, DeviceObj)
    External (_SB_.SCK0.C067, DeviceObj)
    External (_SB_.SCK0.C068, DeviceObj)
    External (_SB_.SCK0.C069, DeviceObj)
    External (_SB_.SCK0.C06A, DeviceObj)
    External (_SB_.SCK0.C06B, DeviceObj)
    External (_SB_.SCK0.C06C, DeviceObj)
    External (_SB_.SCK0.C06D, DeviceObj)
    External (_SB_.SCK0.C06E, DeviceObj)
    External (_SB_.SCK0.C06F, DeviceObj)
    External (_SB_.SCK0.C070, DeviceObj)
    External (_SB_.SCK0.C071, DeviceObj)
    External (_SB_.SCK0.C072, DeviceObj)
    External (_SB_.SCK0.C073, DeviceObj)
    External (_SB_.SCK0.C074, DeviceObj)
    External (_SB_.SCK0.C075, DeviceObj)
    External (_SB_.SCK0.C076, DeviceObj)
    External (_SB_.SCK0.C077, DeviceObj)
    External (_SB_.SCK0.C078, DeviceObj)
    External (_SB_.SCK0.C079, DeviceObj)
    External (_SB_.SCK0.C07A, DeviceObj)
    External (_SB_.SCK0.C07B, DeviceObj)
    External (_SB_.SCK0.C07C, DeviceObj)
    External (_SB_.SCK0.C07D, DeviceObj)
    External (_SB_.SCK0.C07E, DeviceObj)
    External (_SB_.SCK0.C07F, DeviceObj)
    
    Scope (\_SB.SCK0)
    {
        Processor (CP00, 0x00, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C000)
        }
        
        Processor (CP01, 0x01, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C001)
        }
        
        Processor (CP02, 0x02, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C002)
        }
        
        Processor (CP03, 0x03, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C003)
        }
        
        Processor (CP04, 0x04, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C004)
        }
        
        Processor (CP05, 0x05, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C005)
        }
        
        Processor (CP06, 0x06, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C006)
        }
        
        Processor (CP07, 0x07, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C007)
        }
        
        Processor (CP08, 0x08, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C008)
        }
        
        Processor (CP09, 0x09, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C009)
        }
        
        Processor (CP0A, 0x0A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C00A)
        }
        
        Processor (CP0B, 0x0B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C00B)
        }
        
        Processor (CP0C, 0x0C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C00C)
        }
        
        Processor (CP0D, 0x0D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C00D)
        }
        
        Processor (CP0E, 0x0E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C00E)
        }
        
        Processor (CP0F, 0x0F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C00F)
        }
        
        Processor (CP10, 0x10, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C010)
        }
        
        Processor (CP11, 0x11, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C011)
        }
        
        Processor (CP12, 0x12, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C012)
        }
        
        Processor (CP13, 0x13, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C013)
        }
        
        Processor (CP14, 0x14, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C014)
        }
        
        Processor (CP15, 0x15, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C015)
        }
        
        Processor (CP16, 0x16, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C016)
        }
        
        Processor (CP17, 0x17, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C017)
        }
        
        Processor (CP18, 0x18, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C018)
        }
        
        Processor (CP19, 0x19, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C019)
        }
        
        Processor (CP1A, 0x1A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C01A)
        }
        
        Processor (CP1B, 0x1B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C01B)
        }
        
        Processor (CP1C, 0x1C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C01C)
        }
        
        Processor (CP1D, 0x1D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C01D)
        }
        
        Processor (CP1E, 0x1E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C01E)
        }
        
        Processor (CP1F, 0x1F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C01F)
        }
        
        Processor (CP20, 0x20, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C020)
        }
        
        Processor (CP21, 0x21, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C021)
        }
        
        Processor (CP22, 0x22, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C022)
        }
        
        Processor (CP23, 0x23, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C023)
        }
        
        Processor (CP24, 0x24, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C024)
        }
        
        Processor (CP25, 0x25, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C025)
        }
        
        Processor (CP26, 0x26, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C026)
        }
        
        Processor (CP27, 0x27, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C027)
        }
        
        Processor (CP28, 0x28, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C028)
        }
        
        Processor (CP29, 0x29, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C029)
        }
        
        Processor (CP2A, 0x2A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C02A)
        }
        
        Processor (CP2B, 0x2B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C02B)
        }
        
        Processor (CP2C, 0x2C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C02C)
        }
        
        Processor (CP2D, 0x2D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C02D)
        }
        
        Processor (CP2E, 0x2E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C02E)
        }
        
        Processor (CP2F, 0x2F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C02F)
        }
        
        Processor (CP30, 0x30, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C030)
        }
        
        Processor (CP31, 0x31, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C031)
        }
        
        Processor (CP32, 0x32, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C032)
        }
        
        Processor (CP33, 0x33, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C033)
        }
        
        Processor (CP34, 0x34, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C034)
        }
        
        Processor (CP35, 0x35, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C035)
        }
        
        Processor (CP36, 0x36, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C036)
        }
        
        Processor (CP37, 0x37, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C037)
        }
        
        Processor (CP38, 0x38, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C038)
        }
        
        Processor (CP39, 0x39, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C039)
        }
        
        Processor (CP3A, 0x3A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C03A)
        }
        
        Processor (CP3B, 0x3B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C03B)
        }
        
        Processor (CP3C, 0x3C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C03C)
        }
        
        Processor (CP3D, 0x3D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C03D)
        }
        
        Processor (CP3E, 0x3E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C03E)
        }
        
        Processor (CP3F, 0x3F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C03F)
        }
        
        Processor (CP40, 0x40, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C040)
        }
        
        Processor (CP41, 0x41, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C041)
        }
        
        Processor (CP42, 0x42, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C042)
        }
        
        Processor (CP43, 0x43, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C043)
        }
        
        Processor (CP44, 0x44, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C044)
        }
        
        Processor (CP45, 0x45, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C045)
        }
        
        Processor (CP46, 0x46, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C046)
        }
        
        Processor (CP47, 0x47, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C047)
        }
        
        Processor (CP48, 0x48, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C048)
        }
        
        Processor (CP49, 0x49, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C049)
        }
        
        Processor (CP4A, 0x4A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C04A)
        }
        
        Processor (CP4B, 0x4B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C04B)
        }
        
        Processor (CP4C, 0x4C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C04C)
        }
        
        Processor (CP4D, 0x4D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C04D)
        }
        
        Processor (CP4E, 0x4E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C04E)
        }
        
        Processor (CP4F, 0x4F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C04F)
        }
        
        Processor (CP50, 0x50, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C050)
        }
        
        Processor (CP51, 0x51, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C051)
        }
        
        Processor (CP52, 0x52, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C052)
        }
        
        Processor (CP53, 0x53, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C053)
        }
        
        Processor (CP54, 0x54, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C054)
        }
        
        Processor (CP55, 0x55, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C055)
        }
        
        Processor (CP56, 0x56, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C056)
        }
        
        Processor (CP57, 0x57, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C057)
        }
        
        Processor (CP58, 0x58, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C058)
        }
        
        Processor (CP59, 0x59, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C059)
        }
        
        Processor (CP5A, 0x5A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C05A)
        }
        
        Processor (CP5B, 0x5B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C05B)
        }
        
        Processor (CP5C, 0x5C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C05C)
        }
        
        Processor (CP5D, 0x5D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C05D)
        }
        
        Processor (CP5E, 0x5E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C05E)
        }
        
        Processor (CP5F, 0x5F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C05F)
        }
        
        Processor (CP60, 0x60, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C060)
        }
        
        Processor (CP61, 0x61, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C061)
        }
        
        Processor (CP62, 0x62, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C062)
        }
        
        Processor (CP63, 0x63, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C063)
        }
        
        Processor (CP64, 0x64, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C064)
        }
        
        Processor (CP65, 0x65, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C065)
        }
        
        Processor (CP66, 0x66, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C066)
        }
        
        Processor (CP67, 0x67, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C067)
        }
        
        Processor (CP68, 0x68, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C068)
        }
        
        Processor (CP69, 0x69, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C069)
        }
        
        Processor (CP6A, 0x6A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C06A)
        }
        
        Processor (CP6B, 0x6B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C06B)
        }
        
        Processor (CP6C, 0x6C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C06C)
        }
        
        Processor (CP6D, 0x6D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C06D)
        }
        
        Processor (CP6E, 0x6E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C06E)
        }
        
        Processor (CP6F, 0x6F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C06F)
        }
        
        Processor (CP70, 0x70, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C070)
        }
        
        Processor (CP71, 0x71, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C071)
        }
        
        Processor (CP72, 0x72, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C072)
        }
        
        Processor (CP73, 0x73, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C073)
        }
        
        Processor (CP74, 0x74, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C074)
        }
        
        Processor (CP75, 0x75, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C075)
        }
        
        Processor (CP76, 0x76, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C076)
        }
        
        Processor (CP77, 0x77, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C077)
        }
        
        Processor (CP78, 0x78, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C078)
        }
        
        Processor (CP79, 0x79, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C079)
        }
        
        Processor (CP7A, 0x7A, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C07A)
        }
        
        Processor (CP7B, 0x7B, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C07B)
        }
        
        Processor (CP7C, 0x7C, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C07C)
        }
        
        Processor (CP7D, 0x7D, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C07D)
        }
        
        Processor (CP7E, 0x7E, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C07E)
        }
        
        Processor (CP7F, 0x7F, 0x00000510, 0x06)
        {
            Return (\_SB.SCK0.C07F)
        }
    }
}        
